# Class Plot3DRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.MeshRenderer
org.jmol.rendersurface.IsosurfaceRenderer
org.jmol.rendersurface.PmeshRenderer
org.jmol.rendersurface.Plot3DRenderer

public class Plot3DRenderer extends PmeshRenderer

## Field Summary

### Fields inherited from class IsosurfaceRenderer

`backgroundColix, iHideBackground, imesh, isBicolorMap, nError, vertexValues`

### Fields inherited from class MeshRenderer

`allowDashed, antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Plot3DRenderer()`

## Method Summary

### Methods inherited from class PmeshRenderer

`render`

### Methods inherited from class IsosurfaceRenderer

`render2, renderInfo, renderIso, renderPoints, renderTriangles`

### Methods inherited from class MeshRenderer

`checkFront, drawEdge, drawTriangle, exportSurface, isPolygonDisplayable, isVisibleNormix, render2b, renderMesh2, setColix`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Plot3DRenderer

public Plot3DRenderer()